Bug 1007540 - Review Request: xrotor - Design and analysis tools for propellers and windmills
Review Request: xrotor - Design and analysis tools for propellers and windmills
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Antonio Trande
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 13:31 EDT by Sandro Mani
Modified: 2014-04-20 19:29 EDT (History)
2 users (show)

See Also:
Fixed In Version: xrotor-7.55-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-22 00:23:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
anto.trande: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sandro Mani 2013-09-12 13:31:55 EDT
Spec URL: http://smani.fedorapeople.org/xrotor.spec
SRPM URL: http://smani.fedorapeople.org/xrotor-7.55-1.fc21.src.rpm
Description: Design and analysis tools for propellers and windmills
Fedora Account System Username: smani
Comment 1 Sandro Mani 2013-09-12 16:17:58 EDT
Spec URL: http://smani.fedorapeople.org/xrotor.spec
SRPM URL: http://smani.fedorapeople.org/xrotor-7.55-2.fc21.src.rpm

* Thu Sep 12 2013 Sandro Mani <manisandro@gmail.com> - 7.55-2
- Add license file
Comment 2 Antonio Trande 2013-09-13 11:55:56 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2 or later) (with incorrect FSF address)", "Unknown or
     generated". 61 files have unknown license. Detailed output of
     licensecheck in /home/sagitter/1007540-xrotor/licensecheck.txt

The compilation involves also the '/Xrotor/plotlib/Xwin.c' file; it's licensed with
a LGPLv2+ (with incorrect FSF address) license.
Like so other files with unknown license, for example '/Xrotor/src/xaero.f'.
If upstream considers all source files realesed with GPLv2+, so it should indicate it.

In that case, License tag should be "GPLv2+ and LGPLv2+".  
http://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Multiple_Licensing_Scenarios

[x]: %build honors applicable compiler flags or justifies otherwise.
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 92160 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[?]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: xrotor-7.55-2.fc21.i686.rpm
          xrotor-7.55-2.fc21.src.rpm
xrotor.i686: W: no-manual-page-for-binary jplote
xrotor.i686: W: no-manual-page-for-binary xrotor
xrotor.i686: W: no-manual-page-for-binary jplot
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint xrotor
xrotor.i686: W: no-manual-page-for-binary jplote
xrotor.i686: W: no-manual-page-for-binary xrotor
xrotor.i686: W: no-manual-page-for-binary jplot
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
xrotor (rpmlib, GLIBC filtered):
    libX11.so.6
    libc.so.6
    libgcc_s.so.1
    libgcc_s.so.1(GCC_4.0.0)
    libgcc_s.so.1(GCC_4.4.0)
    libgfortran.so.3
    libgfortran.so.3(GFORTRAN_1.0)
    libgfortran.so.3(GFORTRAN_1.4)
    libm.so.6
    libquadmath.so.0
    libquadmath.so.0(QUADMATH_1.0)
    rtld(GNU_HASH)
    xorg-x11-fonts-misc



Provides
--------
xrotor:
    xrotor
    xrotor(x86-32)



Source checksums
----------------
http://web.mit.edu/drela/Public/web/xrotor/Xrotor7.55.tar.tgz :
  CHECKSUM(SHA256) this package     : 7bee104afa0f81ce6ca7ce2205f65943b5e3650105507363f1a628bbca3a075b
  CHECKSUM(SHA256) upstream package : 7bee104afa0f81ce6ca7ce2205f65943b5e3650105507363f1a628bbca3a075b


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -m fedora-rawhide-i386 -b 1007540
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 3 Sandro Mani 2013-09-13 12:06:36 EDT
Oh joy. Well, the website [1] states:
"XROTOR is released under the GNU General Public License. "
and points to this license file [2]. According to the license matrix [3], this is perfectly ok: plotlib is LGPLv2+ and xrotor, which is GPLv2+, links against that library. I'm unsure however what the effect on the License tag is (i.e. whether I need to specify both).

[1] http://web.mit.edu/drela/Public/web/xrotor/
[2] http://web.mit.edu/drela/Public/web/gpl.txt
[3] https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#GPL_Compatibility_Matrix
Comment 4 Sandro Mani 2013-09-13 12:14:36 EDT
On second thought, the situation is pretty clear. Fixed.

Spec URL: http://smani.fedorapeople.org/xrotor.spec
SRPM URL: http://smani.fedorapeople.org/xrotor-7.55-3.fc21.src.rpm
Comment 5 Antonio Trande 2013-09-13 12:35:01 EDT
(In reply to Sandro Mani from comment #3)
> Oh joy. Well, the website [1] states:
> "XROTOR is released under the GNU General Public License. "
> and points to this license file [2].

I meant that license should be indicated at the top of every file. I had already seen the license link in the upstream website. ;)


> On second thought, the situation is pretty clear. Fixed.

Spec URL: http://smani.fedorapeople.org/xrotor.spec
SRPM URL: http://smani.fedorapeople.org/xrotor-7.55-3.fc21.src.rpm

Package approved.
Comment 6 Sandro Mani 2013-09-13 12:36:51 EDT
Thanks for the review!


New Package SCM Request
=======================
Package Name: xrotor
Short Description: Design and analysis tools for propellers and windmills
Owners: smani
Branches: f19 f20
InitialCC:
Comment 7 Gwyn Ciesla 2013-09-13 12:40:18 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2013-09-13 13:08:15 EDT
xrotor-7.55-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xrotor-7.55-3.fc19
Comment 9 Fedora Update System 2013-09-13 19:50:58 EDT
xrotor-7.55-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/xrotor-7.55-3.fc20
Comment 10 Fedora Update System 2013-09-13 22:42:11 EDT
xrotor-7.55-3.fc19 has been pushed to the Fedora 19 testing repository.
Comment 11 Fedora Update System 2013-09-22 00:23:38 EDT
xrotor-7.55-3.fc19 has been pushed to the Fedora 19 stable repository.
Comment 12 Fedora Update System 2013-09-22 20:03:15 EDT
xrotor-7.55-3.fc20 has been pushed to the Fedora 20 stable repository.
Comment 13 Sandro Mani 2014-04-20 17:41:07 EDT
Package Change Request
======================
Package Name: xrotor
New Branches: el6 epel7
Owners: smani
InitialCC:
Comment 14 Kevin Fenzi 2014-04-20 19:29:48 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.